Skip to main content
Resource Center/Hardware/Primary Storage Operations/Ceph Primary Storage Operations

RemoveMonFromCephPrimaryStorage

RemoveMonFromCephPrimaryStorage

DELETE/zstack/v1/primary-storage/ceph/31db2011f3944c85ae24a7ca607302e5/mons?monHostnames=10.0.1.2

Operation ID

RemoveMonFromCephPrimaryStorage

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The UUID of the Ceph primary storage.

Query Parameters

  • monHostnames
    String

    Query parameter.

Body Fields

  • monHostnames
    ListRequired

    The new hostname of the Ceph mon (monitor daemon).

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}